#include <CheapStepper.h>
#include <Servo.h>

CheapStepper stepper;
Servo myservo;

boolean moveClockwise = true;

const int sensitivity = 1;    // To modify the number of steps of the stepper motor
bool direction = true;        // To make the stepper motor turn in one direction or the other
int val = 72-45;              // Empirical value to have a right angle for the servo motor at the beginning

void setup()
{
  myservo.attach(3);
  Serial.begin(9600);
  myservo.write(val);
}


void loop() {
  int pos = stepper.getStep();
  int R0 = analogRead(A0)/1.1;    // If you see that your photoresistors are different for a same light intensity, then you can divide
  //                                  the values of photoresistors (R0, R1 or R2) by the ratio of the highest values they can take (when 
  //                                  you put an intense light source on it) :
  //                                  value_max_highest_resistor / value_max_smallest_resistor
  int R1 = analogRead(A1)/1.1;    
  int R2 = analogRead(A2);        

  Serial.print("R0 = ");
  Serial.println(R0);
  Serial.print("R1 = ");
  Serial.println(R1);
  Serial.print("R2 = ");
  Serial.println(R2);

  delay(10);
  
  if ((R0 + R2)/2 > R1) {       // the mean of the values of the two bottom photoresistors is used to determine the direction of the servo motor
    val -= 1;
  }
  else{
    val += 1;
  }
  myservo.write(val);
  
  if (R0>R2) {                  // only the bottom photoresistors are used for the stepper motor direction
    direction = true;
  }
  else {
    direction = false;
  }

  for (int i = 0 ; i < sensitivity ; i++) {
      stepper.step(direction);
  }  
}